******************************BEGIN IDENTIFICATION PROGRAM***********************************

GET
  FILE='C:\EXPORT07\IDENTIFICATION.SAV'.

SORT CASES BY
  id (A) .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=educ state DISPLAY=DEFAULT
  /TABLE state [C][COUNT F40.0] BY educ [C]
  /CATEGORIES VARIABLES=educ [1, 2, 3, 4] EMPTY=EXCLUDE TOTAL=YES
  POSITION=AFTER
  /CATEGORIES VARIABLES=state ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= 'Table 1a : Distribution of Holding by level of Education'.

IF educ<1 educ=1.
EXECUTE.

CROSSTABS
  /TABLES=state  BY educ
  /FORMAT= AVALUE TABLES
  /CELLS= COUNT .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=relate state DISPLAY=DEFAULT
  /TABLE state [C][COUNT F40.0] BY relate [C]
  /CATEGORIES VARIABLES=relate [1, 2, 3, 4, 5, 6, 7] EMPTY=EXCLUDE TOTAL=YES
  POSITION=AFTER
  /CATEGORIES VARIABLES=state ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= 'Table 1b : Distribution of Holding by Relationship'.

IF relate<1 relate=1.
EXECUTE.

CROSSTABS
  /TABLES=state  BY relate
  /FORMAT= AVALUE TABLES
  /CELLS= COUNT .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=sex state DISPLAY=DEFAULT
  /TABLE state [C][COUNT F40.0] BY sex [C]
  /CATEGORIES VARIABLES=sex [1, 2, 3, 4] EMPTY=EXCLUDE TOTAL=YES
  POSITION=AFTER
  /CATEGORIES VARIABLES=state ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= 'Table 1c : Distribution of Holding by Relationship'.

IF sex<1 sex=1.
EXECUTE.

CROSSTABS
  /TABLES=state  BY sex
  /FORMAT= AVALUE TABLES
  /CELLS= COUNT .
******************************END IDENTIFICATION PROGRAM**********************************

******************************BEGIN HO_XTERRISTICS PROGRAM***********************************
GET
  FILE='C:\Export07\HOLDING_CHARACTERISTICS.SAV'.

SORT CASES BY
  id (A) .

**************************for filling the blank spaces when the hh is not growing the crop*********
if sysmis(cashew) cashew=2.
if sysmis(casstu) casstu=2.
if sysmis(cocoa) cocoa =2.
if sysmis(coffee) coffee=2.
if sysmis(cotton) cotton=2.
if sysmis(garlic) garlic=2.
if sysmis(ginger) ginger=2.
if sysmis(gnut) gnut =2.
if sysmis(gumarb) gumarb=2.
if sysmis(kola) kola=2.
if sysmis(oilpalm) oilpalm=2.
if sysmis(rubber) rubber=2.
if sysmis(sesame) sesame =2.
if sysmis(sheanut) sheanut=2.
if sysmis(sugcan) sugcan=2.
if sysmis(tea) tea=2.
EXECUTE.

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=  cashew casstu cocoa coffee cotton garlic ginger gnut gumarb kola oilpalm
   rubber sesame sheanut sugcan tea state
    DISPLAY=DEFAULT
  /TABLE state [C][COUNT F40.0] BY  cashew [C] + casstu [C] + cocoa [C]+ coffee [C]+ cotton [C]
 + garlic [C] + ginger [C] + gnut [C] + gumarb [C]+ kola [C] + oilpalm [C] + rubber [C] + sesame [C] 
+ sheanut  [C] + sugcan [C] + tea [C]
  /CATEGORIES VARIABLES= cashew casstu cocoa coffee cotton garlic ginger gnut gumarb kola oilpalm
   rubber sesame sheanut sugcan tea state ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES
  /TITLES
   TITLE= 'Table 2a: Distribution of holders by type of Crops'.

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=owned state DISPLAY=DEFAULT
  /TABLE state [C][COUNT F40.0] BY owned [C]
  /CATEGORIES VARIABLES=owned [1, 2, 3] EMPTY=EXCLUDE TOTAL=YES
  POSITION=AFTER
  /CATEGORIES VARIABLES=state ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= 'Table 2b : Distribution of Holding by type of ownership'.

IF OWNED<1 OWNED=1.
EXECUTE.

CROSSTABS
  /TABLES=state  BY owned
  /FORMAT= AVALUE TABLES
  /CELLS= COUNT .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=ownlike squatter famland rented ospecify rental produce
 services ospec money state
    DISPLAY=DEFAULT
  /TABLE state [C] BY ownlike [SUM] + squatter [SUM] + famland [SUM] + rental
  [SUM] + ospecify [SUM] + rented [SUM] + produce [SUM] + services [SUM] +
  ospec [SUM] + uplane [SUM] + lowlan [SUM] + irriga [SUM] 
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES=state ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
   TITLE= 'Table  2c : Distribution of Holding by type of tenure'.

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=  uplane lowlan irriga state
    DISPLAY=DEFAULT
  /TABLE state [C][COUNT F40.0] BY  uplane [C] + lowlan [C] + irriga [C]
  /CATEGORIES VARIABLES= uplane lowlan irriga state ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES
  /TITLES
   TITLE= 'Table2d: Distribution of holders by type of Land'.
 
******************************END HO_XTERRISTICS PROGRAM**********************************

********************************* BEGIN  ANNUAL SALES PROGRAM***************************** 

GET
  FILE='C:\EXPORT07\ANNUAL_SALES.SAV'.

SORT CASES BY
  id (A) .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=annual state DISPLAY=DEFAULT
  /TABLE state [C][COUNT F40.0] BY annual [C]
  /CATEGORIES VARIABLES=annual[1, 2, 3, 4, 5, 6] EMPTY=EXCLUDE TOTAL=YES
  POSITION=AFTER
  /CATEGORIES VARIABLES=state ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= 'Table 3 : Distribution of Holding by Annual Sales'.


IF ANNUAL<1 ANNUAL=6.
EXECUTE.

CROSSTABS
  /TABLES=state  BY annual
  /FORMAT= AVALUE TABLES
  /CELLS= COLUMN .
******************************END OF ANNUAL SALES PROGRAM******************************* 

******************************BEGIN EMPLOYMENT PROGRAM**********************************
GET
  FILE='C:\Export07\EMPLOYMENT.sav'.

SORT CASES BY
  id (A) .

RECODE empage (0 thru 14=1)  (15 thru 29=2)  (30 thru 44=3)  (45 thru 59=4)  (60 thru
  Highest=5)  INTO  Agegrp .
VARIABLE LABELS Agegrp 'Age in 15 yrs cohort'.
VALUE LABELS Agegrp 1 "0 - 14"  2 "15 - 29"  3 "30 - 44"  4 "45 - 59" 5 "60 and above".
EXECUTE .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=agegrp state DISPLAY=DEFAULT
  /TABLE state [C][COUNT F40.0] BY agegrp [C]
  /CATEGORIES VARIABLES=agegrp state ORDER=A KEY=VALUE EMPTY=INCLUDE
  TOTAL=YES POSITION=AFTER
  /TITLES
   TITLE= 'Table 4a : Number of persons engaged by age group and state'.


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=unpadm unpadf  paidm paidf  tdaym tdayf wagem wagef state
    DISPLAY=DEFAULT
  /TABLE state [C] BY unpadm [SUM] + unpadf [SUM] + paidm [SUM] + paidf
  [SUM] + tdaym [SUM] + tdayf [SUM] + wagem [SUM] + wagef [SUM] 
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES=state ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
   TITLE= 'Table  4b : Number of persons paid by state'.
****************************** END OF EMPLOYMENT PROGRAM******************************** 

******************************BEGIN FARM GATE PROGRAM**************************************
GET
  FILE='C:\Export07\FARM_GATE.sav'.

SORT CASES BY
  id (A) .

COMPUTE prkg = price /eqweigh.
COMPUTE qtysold1 = locunit * eqweigh.
COMPUTE mvalue = locunit * price.
VARIABLE LABELS prkg 'Price per local unit/Equivalent weight of local unit'. 
VARIABLE LABELS qtysold1 'Total quantity sold = Quantity Sold in local unit * by Equivalent weight of local unit'. 
VARIABLE LABELS mvalue Equivalent weight of local unit * by Price per local unit'. 
EXECUTE .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=cropcode qtysold1 mvalue state DISPLAY=DEFAULT
  /TABLE state [C] BY cropcode [C] > (qtysold1 [SUM] + mvalue [SUM])
  /CATEGORIES VARIABLES=cropcode ORDER=A KEY=VALUE EMPTY=EXCLUDE 
  /CATEGORIES VARIABLES=state ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /TITLES
   TITLE= 'Table 5a: Quantity and Value Sold at Farm gate by crop and state'.

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=cropcode prkg state DISPLAY=DEFAULT
  /TABLE state [C] BY cropcode [C] > prkg [MEAN]
  /CATEGORIES VARIABLES=cropcode ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=state ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES
  POSITION=AFTER
  /TITLES
   TITLE= 'Table 5b: Farmgate prices by state and crop'.
******************************END FARM GATE PROGRAM****************************************


******************************BEGIN OPEN_MARKET PROGRAM***********************************

GET
  FILE='C:\Export07\OPEN_MARKET.sav'.

SORT CASES BY
  id (A).


COMPUTE prkg = price /eqweigh.
COMPUTE qtysold1 = locunit * eqweigh.
COMPUTE mvalue = locunit * price.
VARIABLE LABELS prkg 'Price per local unit/Equivalent weight of local unit'. 
VARIABLE LABELS qtysold1 'Total quantity sold = Quantity Sold in local unit * by Equivalent weight of local unit'. 
VARIABLE LABELS mvalue Equivalent weight of local unit * by Price per local unit'. 
EXECUTE .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=cropcode qtysold1 mvalue state DISPLAY=DEFAULT
  /TABLE state [C] BY cropcode [C] > (qtysold1 [SUM] + mvalue [SUM])
  /CATEGORIES VARIABLES=cropcode ORDER=A KEY=VALUE EMPTY=EXCLUDE 
  /CATEGORIES VARIABLES=state ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /TITLES
 TITLE= 'Table 6a: Quantity and Value Sold at Open market by crop and state'.

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=cropcode prkg state DISPLAY=DEFAULT
  /TABLE state [C] BY cropcode [C] > prkg [MEAN]
  /CATEGORIES VARIABLES=cropcode ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=state ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES
  POSITION=AFTER
  /TITLES
   TITLE= 'Table 6b: Open market  prices by state and crop'.
*******************************END OPEN_MARKET PROGRAM***********************************


******************************BEGIN CONSUMTION PROGRAM***********************************

GET
  FILE='C:\EXPORT07\CONSUMPTION.SAV'.

SORT CASES BY
  id (A) .

COMPUTE prkg = price /eqweigh.
COMPUTE qtysold1 = locunit * eqweigh.
COMPUTE mvalue = locunit * price.
VARIABLE LABELS prkg 'Price per local unit/Equivalent weight of local unit'. 
VARIABLE LABELS qtysold1 'Total quantity sold = Quantity Sold in local unit * by Equivalent weight of local unit'. 
VARIABLE LABELS mvalue Equivalent weight of local unit * by Price per local unit'. 
EXECUTE .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=cropcode qtysold1 mvalue state DISPLAY=DEFAULT
  /TABLE state [C] BY cropcode [C] > (qtysold1 [SUM] + mvalue [SUM])
  /CATEGORIES VARIABLES=cropcode ORDER=A KEY=VALUE EMPTY=EXCLUDE 
  /CATEGORIES VARIABLES=state ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /TITLES
 TITLE= 'Table 7a: Quantity and Value consumed by crop and state'.

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=cropcode prkg state DISPLAY=DEFAULT
  /TABLE state [C] BY cropcode [C] > prkg [MEAN]
  /CATEGORIES VARIABLES=cropcode ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=state ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES
  POSITION=AFTER
  /TITLES
   TITLE= 'Table 7b: Consumtion prices by state and crop'.
******************************END CONSUMTION PROGRAM**************************************

******************************BEGIN SOURCE PROGRAM******************************************

GET
  FILE='C:\Export07\SOURCE.sav'.

SORT CASES BY
  id (A) .

if sysmis(interest) interest=0.
EXECUTE.

COMPUTE Totloan = amount+ interest.
VARIABLE LABELS Totloan Total Loan (amount + interest)'. 
EXECUTE.

FILTER OFF.
USE ALL.
SELECT IF scode >0.
EXECUTE .


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=amount scode state DISPLAY=DEFAULT
  /TABLE state [C] BY amount [SUM] > scode [C]
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES=scode ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=state ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES
  POSITION=AFTER
  /TITLES
   TITLE= 'Table 8a: Amount of funds by source and state '.


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=totloan scode state DISPLAY=DEFAULT
  /TABLE state [C] BY totloan [SUM] > scode [C]
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES=scode ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=state ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES
  POSITION=AFTER
  /TITLES
   TITLE= 'Table 8b: Amount and interest of funds by source and state '.

********************************END SOURCE PROGRAM***************************************


******************************BEGIN CULTIVATED PROGRAM***********************************

GET
  FILE='C:\Export07\cultivated.sav'.

SORT CASES BY
  id (A) .


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=cropcode state DISPLAY=DEFAULT
  /TABLE state [C] BY cropcode [C] 
  /CATEGORIES VARIABLES=cropcode state ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /TITLES
   TITLE= 'Table 9a: Estimates of Area(Hectares) by state and crop '.


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=cropcode area state DISPLAY=DEFAULT
  /TABLE state [C] BY cropcode [C] > area [SUM]
  /CATEGORIES VARIABLES=cropcode state ORDER=A KEY=VALUE EMPTY=EXCLUDE
   POSITION=AFTER
  /TITLES
   TITLE= 'Table 9b: Estimates of Area(Hectares) by state and crop'.
******************************END CULTIVATED PROGRAM***********************************

******************************BEGIN PRODUCTION PROGRAM***********************************

GET
  FILE='C:\Export07\PRODUCTION.sav'.

SORT CASES BY
  id (A) .

COMPUTE PROD = numb * sweigt .
VARIABLE LABELS Prod Total Production = number of yield * Standard weight'. 
EXECUTE .


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=cropcode state DISPLAY=DEFAULT
  /TABLE state [C] BY cropcode [C] 
  /CATEGORIES VARIABLES=cropcode state ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /TITLES
   TITLE= 'Table 10a: Estimates of production(kilogram) by state and crop '.


WEIGHT
BY RF.

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=cropcode prod state DISPLAY=DEFAULT
  /TABLE state [C] BY cropcode [C] > prod [SUM]
  /CATEGORIES VARIABLES=cropcode state ORDER=A KEY=VALUE EMPTY=EXCLUDE
   POSITION=AFTER
  /TITLES
   TITLE= 'Table 10b: Estimates of production(kilogram) by state and crop '.
******************************END PRODUCTION PROGRAM***********************************

******************************BEGIN IMPLEMENTS PROGRAM***********************************
GET
  FILE='C:\Export07\IMPLEMENTS.sav'.

SORT CASES BY
  id (A) .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=hoe cutlass plough motorize otherspe state
  DISPLAY=DEFAULT
  /TABLE state [C][COUNT F40.0] BY hoe [C] + cutlass [C] + plough [C] +
  motorize [C] + otherspe [C]
  /CATEGORIES VARIABLES=cutlass plough motorize state ORDER=A KEY=VALUE
  EMPTY=INCLUDE TOTAL=YES  POSITION=AFTER
  /TITLES
   TITLE= 'Table 11a: Distribution of holders using ploughing implements by'+
 ' type and state.'.

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=hhoe cutlas mequip ots state
  DISPLAY=DEFAULT
  /TABLE state [C][COUNT F40.0] BY hhoe [C] + cutlas [C] + mequip [C]  + ots [C]
  /CATEGORIES VARIABLES=cutlas mequip ots state ORDER=A KEY=VALUE
  EMPTY=INCLUDE TOTAL=YES  POSITION=AFTER
  /TITLES
   TITLE= 'Table 11b: Distribution of holders using harvesting implements by'+
 ' type and state.'.

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=govt market coop others state
  DISPLAY=DEFAULT
  /TABLE state [C][COUNT F40.0] BY govt [C] + market [C] + coop [C]  + others [C]
  /CATEGORIES VARIABLES=govt market coop others state ORDER=A KEY=VALUE
  EMPTY=INCLUDE TOTAL=YES  POSITION=AFTER
  /TITLES
   TITLE= 'Table 11c: Distribution of holders by sources of  ploughing implements by'+
 ' type and state.'.

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=  truck mcycle bicycle boat donkey carrier ospecify
  state
    DISPLAY=DEFAULT
  /TABLE state [C][COUNT F40.0] BY  truck [C] + mcycle [C] + bicycle [C]
 + boat [C] + donkey [C] + carrier [C] + ospecify [C]
  /CATEGORIES VARIABLES= truck mcycle bicycle boat donkey carrier
  ospecify state ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES
  /TITLES
   TITLE= 'Table 11d: Distribution of holders by type of transportation and'+
 ' state.'.

*********************************END IMPLEMENTS PROGRAM***********************************

 ******************************BEGIN FERTILIZER_COST PROGRAM***********************************

GET
  FILE='C:\Export07\FETILIZER_COST.sav'.

SORT CASES BY
  id (A) .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=ucode state DISPLAY=DEFAULT
  /TABLE state [C][COUNT F40.0] BY ucode [C]
  /CATEGORIES VARIABLES=ucode [1, 2, 3, 4, 5] EMPTY=EXCLUDE TOTAL=YES
  POSITION=AFTER
  /CATEGORIES VARIABLES=state ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= 'Table 12a : Distribution of Holding by fertilizer used'.

IF ucode<1 ucode=1.
EXECUTE.

CROSSTABS
  /TABLES=state  BY ucode
  /FORMAT= AVALUE TABLES
  /CELLS= COUNT .

FILTER OFF.
USE ALL.
SELECT IF qtykg >0.
EXECUTE .

FILTER OFF.
USE ALL.
SELECT IF costf  >0.
EXECUTE .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=ucode qtykg costf state DISPLAY=DEFAULT
  /TABLE state [C] BY ucode [C] > (qtykg [SUM] + costf [SUM])
  /CATEGORIES VARIABLES=ucode ORDER=A KEY=VALUE EMPTY=EXCLUDE 
  /CATEGORIES VARIABLES=state ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /TITLES
   TITLE= 'Table 12b: Quantity and Value of fertilizer used by state'.

GET
  FILE='C:\Export07\FERTILIZER.sav'.

SORT CASES BY
  id (A) .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=usefer state
  DISPLAY=DEFAULT
  /TABLE state [C][COUNT F40.0] BY usefer [C]  
  /CATEGORIES VARIABLES=usefer state ORDER=A KEY=VALUE
  EMPTY=INCLUDE TOTAL=YES  POSITION=AFTER
  /TITLES
   TITLE= 'Table 12c: Distribution of  fertilizer Farm Treated and Untreated by'+
 'state.'.

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=nofarm notreat nountre state
    DISPLAY=DEFAULT
  /TABLE state [C] BY nofarm [SUM] + notreat [SUM] + nountre [SUM] 
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES=state ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
   TITLE= 'Table 12d: Distribution of  fertilizer by Farm Treated and Untreated and'+
 'state.'.

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=tyfert state DISPLAY=DEFAULT
  /TABLE state [C][COUNT F40.0] BY tyfert [C]
  /CATEGORIES VARIABLES=tyfert [1, 2, 3] EMPTY=EXCLUDE TOTAL=YES
  POSITION=AFTER
  /CATEGORIES VARIABLES=state ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= 'Table 12e : Distribution of Holding by fertilizer used'.

if sysmis(minist) minist=2.
if sysmis(agro) agro=2.
if sysmis(fserv) fserv=2.
if sysmis(coopsoc) coopsoc=2.
if sysmis(locmkt) locmkt=2.
if sysmis(othsp) othsp=2.
EXECUTE.

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=  minist agro fserv coopsoc locmkt othsp  state
    DISPLAY=DEFAULT
  /TABLE state [C][COUNT F40.0] BY  minist  [C] + agro [C] +  fserv  [C]
 + coopsoc [C] + locmkt [C] + othsp [C] 
  /CATEGORIES VARIABLES= minist agro  fserv  coopsoc locmkt othsp
 state ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES
  /TITLES
   TITLE= 'Table 12f: Distribution of fertilizer by Source and'+
 ' state.'.

if sysmis(wlocal) wlocal=2.
if sysmis(outside) outside=2.
if sysmis(more) more=2.
if sysmis(above) above=2.
EXECUTE.

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=  wlocal outside more above  state
    DISPLAY=DEFAULT
  /TABLE state [C][COUNT F40.0] BY  wlocal  [C] + outside [C] + more [C] + above [C] 
  /CATEGORIES VARIABLES= wlocal outside more above
 state ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES
  /TITLES
   TITLE= 'Table 12g: Distribution of Pesticides Insecticides and Herbicides by Distance to obtain and'+
 ' state.'.
***********************************************************************************************************

GET
  FILE='C:\Export07\FERTILIZER_REASONS.sav'.

SORT CASES BY
  id (A) .

if sysmis(Defc) Defc=2.
if sysmis(cosb) cosb=2.
if sysmis(farob) farob=2.
if sysmis(wheob) wheob=2.
if sysmis(knhox) knhox=2.
if sysmis(nehea) nehea=2.
if sysmis(donee) donee=2.
if sysmis(otsq) otsq=2.
EXECUTE.

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=  Defc cosb farob wheob knhox nehea donee otsq  state
    DISPLAY=DEFAULT
  /TABLE state [C][COUNT F40.0] BY  Defc  [C] + cosb [C] + farob [C]
 + wheob [C] + knhox [C] + nehea [C] +  donee  [C] + otsq [C] 
  /CATEGORIES VARIABLES= Defc cosb farob wheob knhox nehea donee otsq
 state ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES
  /TITLES
   TITLE= 'Table 12i: Distribution of Pesticides Insecticides and Herbicides by Reason for not using and'+
 ' state.'.
 ******************************END FERTILIZER_USAGE PROGRAM**********************************


 ****************************BEGIN  PESTICIDES_COST PROGRAM*******************************
GET
  FILE='C:\EXPORT07\PESTICIDES_COST.SAV'.

SORT CASES BY
  id (A) .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=ucode state DISPLAY=DEFAULT
  /TABLE state [C][COUNT F40.0] BY ucode [C]
  /CATEGORIES VARIABLES=ucode [1, 2, 3, 4, 5, 6, 7, 8, 9] EMPTY=EXCLUDE TOTAL=YES
  POSITION=AFTER
  /CATEGORIES VARIABLES=state ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= 'Table 13a : Distribution of Holding by Pesticides Insecticides and Herbicides used'.

IF ucode<1 ucode=1.
EXECUTE.

CROSSTABS
  /TABLES=state  BY ucode
  /FORMAT= AVALUE TABLES
  /CELLS= COUNT .

FILTER OFF.
USE ALL.
SELECT IF qtykg >0.
EXECUTE .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=ucode qtykg ucost state DISPLAY=DEFAULT
  /TABLE state [C] BY ucode [C] > (qtykg [SUM] + ucost [SUM])
  /CATEGORIES VARIABLES=ucode ORDER=A KEY=VALUE EMPTY=EXCLUDE 
  /CATEGORIES VARIABLES=state ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /TITLES
   TITLE= 'Table 13b: Quantity and Value of Pesticides Insecticides and Herbicides  used by state'.
***********************************************************************************************************

GET
  FILE='C:\Export07\PESTICIDE.sav'.

SORT CASES BY
  id (A) .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=insect state
  DISPLAY=DEFAULT
  /TABLE state [C][COUNT F40.0] BY insect [C]  
  /CATEGORIES VARIABLES=insect state ORDER=A KEY=VALUE
  EMPTY=INCLUDE TOTAL=YES  POSITION=AFTER
  /TITLES
   TITLE= 'Table 13c: Distribution of Pesticides Insecticides and Herbicides Farm Treated and Untreated by'+
 'state.'.

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=totno noftr nountr state
    DISPLAY=DEFAULT
  /TABLE state [C] BY totno [SUM] + noftr [SUM] + nountr [SUM] 
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES=state ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
   TITLE= 'Table 13d: Distribution of Pesticides Insecticides and Herbicides by Farm Treated and Untreated and'+
 'state.'.
***********************************************************************************************************
GET
  FILE='C:\Export07\PIHSOURCE.sav'.

SORT CASES BY
  id (A) .

if sysmis(ministr) ministr=2.
if sysmis(agrr) agrr=2.
if sysmis(farms) farms=2.
if sysmis(coope) coope=2.
if sysmis(locma) locma=2.
if sysmis(othh) othh=2.
EXECUTE.

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=  ministr agrr farms coope locma othh  state
    DISPLAY=DEFAULT
  /TABLE state [C][COUNT F40.0] BY  ministr  [C] + agrr [C] + farms [C]
 + coope [C] + locma [C] + othh [C] 
  /CATEGORIES VARIABLES= ministr  agrr farms coope locma othh
 state ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES
  /TITLES
   TITLE= 'Table 13e: Distribution of Pesticides Insecticides and Herbicides by Source and'+
 ' state.'.


if sysmis( within)  within =2.
if sysmis(outs) outs=2.
if sysmis(morh) morh=2.
if sysmis(abovh) abovh=2.
EXECUTE.

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=  within outs morh abovh  state
    DISPLAY=DEFAULT
  /TABLE state [C][COUNT F40.0] BY  within  [C] + outs [C] + morh [C] + abovh [C] 
  /CATEGORIES VARIABLES= within outs morh abovh
 state ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES
  /TITLES
   TITLE= 'Table 13f: Distribution of Pesticides Insecticides and Herbicides by Distance to obtain and'+
 ' state.'.

if sysmis(effec) effec=2.
if sysmis(costl) costl=2.
if sysmis(fat) fat=2.
if sysmis(obtaiq) obtaiq=2.
if sysmis(ush) ush=2.
if sysmis(hearg) hearg=2.
if sysmis(neeg) neeg=2.
if sysmis(othf) othf=2.
EXECUTE.

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=  effec costl fat obtaiq ush hearg neeg othf  state
    DISPLAY=DEFAULT
  /TABLE state [C][COUNT F40.0] BY  effec  [C] + costl [C] + fat [C]
 + obtaiq [C] + ush [C] + hearg [C] + neeg [C] + othf [C] 
  /CATEGORIES VARIABLES= effec costl fat obtaiq ush hearg neeg othf
 state ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES
  /TITLES
   TITLE= 'Table 13g: Distribution of Pesticides Insecticides/Herbicides by Reason for not using and'+
 ' state.'.
 *************************END PESTICIDES_INSECTICIDES PROGRAM**************************

 *********************************BEGIN  SEEDLING PROGRAM************************************

GET
  FILE='C:\Export07\SEEDLING.sav'.


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=tofarm trfarm notrea state
    DISPLAY=DEFAULT
  /TABLE state [C] BY tofarm [SUM] + trfarm [SUM] + notrea [SUM] 
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES=state ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
   TITLE= 'Table 14a: Distribution of  Seedling/Seed by Farm Treated/Untreated and'+
 'state.'.

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=cropcode quant tcost state DISPLAY=DEFAULT
  /TABLE state [C] BY cropcode [C] > (quant [SUM] + tcost [SUM])
  /CATEGORIES VARIABLES=cropcode ORDER=A KEY=VALUE EMPTY=EXCLUDE 
  /CATEGORIES VARIABLES=state ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /TITLES
 TITLE= 'Table 14b: Quantity and Value of Seedling/Seed by crop and state'.
 **********************************END SEEDLING PROGRAM************************************
